---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: export-reviews
  namespace: flows
  labels:
    app: export-reviews
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: export-reviews
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: export-reviews
    spec:
      containers:
      - env:
        - name: BASE_HOST
          value: https://sarex.dsinv.ru
        - name: DJANGO_HOST
          value: http://backend.django.svc.cluster.local:8000
        - name: REVIEWS_HOST
          value: http://backend-service.flows.svc.cluster.local:8000
        - name: GATEWAY_HOST
          value: http://pdm-api.documentations.svc.cluster.local:8080
        - name: DJANGO_TIMEOUT
          value: '180'
        - name: REVIEWS_TIMEOUT
          value: '180'
        - name: GATEWAY_TIMEOUT
          value: '180'
        - name: DOCUMENTATIONS_HOST
          value: http://documentations-service.documentations.svc.cluster.local:8080
        - name: DOCUMENTATIONS_TIMEOUT
          value: '180'
        - name: TIMEOUT
          value: '180'
        - name: VERIFY_HTTPS
          value: 'false'
        image: cr.yandex/crp3ccidau046kdj8g9q/export-reviews:preprod_1ba89807
        imagePullPolicy: IfNotPresent
        name: export-reviews
        ports:
        - containerPort: 8000
          name: http
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      imagePullSecrets:
      - name: dockerhub
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
---
apiVersion: v1
kind: Service
metadata:
  name: export-reviews
  namespace: flows
spec:
  ports:
  - port: 8000
    protocol: TCP
    targetPort: 8000
  selector:
    app: export-reviews
  sessionAffinity: None
  type: ClusterIP
